TESTHOST(1)

NOM
testhost – Test de l’état d’un serveur de nouvelles NNTP

SYNOPSIS
testhost nom_hôte [ -a|-n date heure |-o ] [ -M ] [ -s|-S nom_fichier ] [ -e|-E nom_fichier ] [ -N numéro_port ] [ -U ID_utilisateur ] [ -P mot_de_passe ] [ -Q ] [ -l fichier_phrase ] [ -T délai ] [ -d ] [ -q ] [ -z ]

OPTIONS
-a Obtention d’une liste active à partir de nom_hôte.

-d

Cette option indique à testhost d’obtenir la description des groupes de nouvelles sur le serveur distant en envoyant la commande « list newsgroups ». Le serveur distant peut ou ne peut pas gérer cette commande.

-e | -E nom_fichier

Ces options font que les messages d’erreur sont envoyés à un fichier de remplacement au lieu de la sortie standard d’erreur. La version en minuscule, -e, envoie les messages d’erreur dans le fichier par défaut défini dans suck_config.h. Le fichier par défaut est suck.errlog. La version en capitale, -E, requiert un fichier comme argument. Tous les messages d’erreur sont envoyés dans ce fichier.

-l fichier_phrase

Cette option indique à testhost de charger un fichier de phrases de remplacement au lieu des messages internes. Cela permet de faire que testhost affiche des phrases dans d’autres langues, ou de personnaliser les messages en évitant une reconstruction. Consulter « PHRASES EN LANGUE ÉTRANGÈRE » dans suck(1) pour plus de renseignements.

-n date heure

Obtention des groupes de nouvelles créés sur l’hôte à partir des date et heure indiquées. La date doit être au format AAMMJJ et l’heure au format HHMMSS.

-N numéro_port

Cette option indique à testhost d’utiliser un autre numéro de port NNRP pour la connexion à l’hôte au lieu de celui par défaut, 119.

-q

Cette option indique à testhost d’afficher le résultat de l’exécution réelle de la commande au lieu des messages de connexion et d’annonces.

-s | -S nom_fichier

Ces options envoient tous les messages d’état dans un fichier de remplacement au lieu de la sortie standard. La version en minuscule, -s, envoie les messages d’état dans le fichier par défaut défini à la compilation dans suck_config.h. Le fichier par défaut est /dev/null, auquel cas aucun message d’état n’est affiché. La version en capitale, -S, requiert un nom de fichier comme argument. Tous les messages d’état sont alors envoyés dans ce fichier.

-T

Cette option écrase la valeur TIMEOUT interne. Elle représente le délai d’attente de testhost des données de l’hôte distant avant d’abandonner.

-U ID_utilisateur

-P mot_de_passe

Ces deux options permettent d’indiquer un identifiant d’utilisateur et un mot de passe si le serveur NNTP les demande.

-Q

Cette option indique à testhost d’utiliser les variables d’environnement NNTP_USER & NNTP_PASS pour indiquer un identifiant d’utilisateur et un mot de passe si le serveur NNTP les réclame. Cette option est fournie pour que l’identifiant et le mot de passe ne puissent pas être vus avec la commande ps(1), ce qui dans le cas contraire constituerait un problème de sécurité potentiel.

-z

Cette option indique à testhost d’utiliser SSL pour converser avec le serveur distant, si testhost a été compilé avec SSL.

DESCRIPTION
testhost interroge un serveur de nouvelles NNTP précisé par nom_hôte.

Le nom d’hôte peut facultativement inclure le numéro de port de la façon suivante : hôte:port. Si le numéro de port est inclus, le numéro de port indiqué avec l’option -N sera ignoré.

L’action par défaut est d’envoyer la commande help au serveur pour connaitre quel logiciel il exécute et quelles commandes il accepte.

Si l’option -a est utilisée, testhost affiche la liste active d’historique du serveur. Si l’option -n date heure est utilisée, testhost affiche tous les nouveaux groupes de nouvelles créés sur le serveur depuis la date et l’heure indiquées. Si l’option -o est utilisée, alors testhost affiche le format d’aperçu qui est ce que la commande XOVER renvoie.

Si l’option -M est utilisée, la commande sera précédée de la commande « mode reader » qui peut être nécessaire pour certains serveurs.

VALEURS RENVOYÉES
Zéro en cas de succès, -1 en cas d’erreur.

VOIR AUSSI
suck(1), rpost(1), lpost(1).

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.